<?php 
namespace Concrete\Package\Cariad\Block\CariadAccordion;
use \Concrete\Core\Block\BlockController;
use Database;

	class Controller extends BlockController {
	protected $btTable = 'btCariadAccordion';
	protected $btWrapperClass = 'ccm-ui';
	protected $btInterfaceWidth = "600";
	protected $btInterfaceHeight = "400";
	protected $btDefaultSet = 'cariad';

	public function getBlockTypeName() {
		return t('Bootstrap Accordion');
	}
	public function getBlockTypeDescription() {
		return t('An accordion block using Bootstrap, for use with the Cariad Theme.');
	}
	function add() {
		$this->set('bID', '001');
		$this->requireAsset('redactor');
    	$this->requireAsset('core/file-manager');
	}
	public function view() {

        $db = Database::connection();
		
		$contents = $db->query('SELECT * FROM btCariadAccordionTabs WHERE AccordionID=?', array(intval($this->bID)));
 
        $this->set('contents', $contents);
        $this->set('bID', $this->bID);
	}	
	function delete(){
        $db = Database::connection();
		$db->execute('DELETE FROM btCariadAccordionTabs WHERE AccordionID=? ', array(intval($this->bID)));
		parent::delete();
	}
	public function edit() {

		$this->requireAsset('redactor');
    	$this->requireAsset('core/file-manager');

        $db = Database::connection();

     	$contents = $db->query('SELECT * FROM btCariadAccordionTabs WHERE AccordionID=?', array(intval($this->bID)));
		
		$this->set('contents', $contents);
		$this->set('bID', $this->bID);

	}
	public function save($args) {

		parent::save($args);

        $db = Database::connection();

		$db->query('DELETE FROM btCariadAccordionTabs WHERE AccordionID=? ', array(intval($this->bID)));

		$index = 0;

		foreach($args['title'] as $title){

			$tabContent = $args['content'][$index];

			$vals = array(intval($this->bID),$title,$tabContent);

			$db->query("INSERT INTO btCariadAccordionTabs (AccordionID,Title,TabContent) values (?,?,?)",$vals);

			$index = $index + 1;
		}
	}
}