<?php        
namespace Concrete\Package\Cariad;
use Package;
use PageTheme;
use PageTemplate;
use BlockType;
use BlockTypeSet;
use Concrete\Core\Attribute\Type as AttributeType;
use CollectionAttributeKey;
use Concrete\Core\Attribute\Key\Category as AttributeKeyCategory;
use Concrete\Core\Attribute\Set as AttributeSet;

class Controller extends Package {

	protected $pkgHandle = 'cariad';
	protected $appVersionRequired = '5.7.5';
	protected $pkgVersion = '1.0.2';
	protected $pkgAllowsFullContentSwap = true;
		
	public function getPackageDescription()
	{
		return t("A creative Bootstrap theme with a full width design and useful blocks and templates.");
	}

	public function getPackageName()
	{
		return t("Cariad");
	}
	
	public function install()
	{
     $pkg = parent::install();
        BlockTypeSet::add("cariad","Cariad", $pkg);
    $bt = BlockType::getByHandle('cariad_accordion');
if (!is_object($bt)) {
    $bt = BlockType::installBlockType('cariad_accordion', $pkg);
    }  
    $bt = BlockType::getByHandle('cariad_bootstrap_thumbnail');
if (!is_object($bt)) {
    $bt = BlockType::installBlockType('cariad_bootstrap_thumbnail', $pkg);
    }  
    $bt = BlockType::getByHandle('cariad_button');
if (!is_object($bt)) {
    $bt = BlockType::installBlockType('cariad_button', $pkg);
    }  
       $bt = BlockType::getByHandle('cariad_image_feature');
if (!is_object($bt)) {
    $bt = BlockType::installBlockType('cariad_image_feature', $pkg);
    }  
       $bt = BlockType::getByHandle('cariad_team_member');
if (!is_object($bt)) {
    $bt = BlockType::installBlockType('cariad_team_member', $pkg);
    }  
        $bt = BlockType::getByHandle('cariad_animated_title');
if (!is_object($bt)) {
    $bt = BlockType::installBlockType('cariad_animated_title', $pkg);
    }  
        $this->pageTemplates($pkg);
		$this->installPageAttributes($pkg);
		PageTheme::add('cariad', $pkg);				

  	}
	
	private function pageTemplates($pkg) {
		
		if (!PageTemplate::getByHandle('blog_entry')) {
            PageTemplate::add('blog_entry', t('Blog Entry'), 'right_sidebar.png', $pkg);
        }
		
		if (!PageTemplate::getByHandle('four_columns')) {
            PageTemplate::add('four_columns', t('Four Columns'), 'three_column.png', $pkg);
        }
		
        if (!PageTemplate::getByHandle('full')) {
            PageTemplate::add('full', t('Full'), 'full.png', $pkg);
        }
		
		if (!PageTemplate::getByHandle('home')) {
            PageTemplate::add('home', t('Home'), 'full.png', $pkg);
        }
		
		if (!PageTemplate::getByHandle('home_v2')) {
            PageTemplate::add('home_v2', t('Home V2'), 'full.png', $pkg);
        }
	
		if (!PageTemplate::getByHandle('left_sidebar')) {
            PageTemplate::add('left_sidebar', t('Left Sidebar'), 'left_sidebar.png', $pkg);
        }
		
        if (!PageTemplate::getByHandle('portfolio_item')) {
            PageTemplate::add('portfolio_item', t('Portfolio Item'), 'right_sidebar.png', $pkg);
        }
		
        if (!PageTemplate::getByHandle('right_sidebar')) {
            PageTemplate::add('right_sidebar', t('Right Sidebar'), 'right_sidebar.png', $pkg);
        }
		
		if (!PageTemplate::getByHandle('three_columns')) {
            PageTemplate::add('three_columns', t('Three Columns'), 'three_column.png', $pkg);
        }
		
		if (!PageTemplate::getByHandle('two_columns')) {
            PageTemplate::add('two_columns', t('Two Columns'), 'two_column.png', $pkg);
        }
		
    }

  private function installPageAttributes(&$pkg) {
    // set attribute category 
    $akCatSet = AttributeSet::getByHandle('cariad_set');
    if(!is_object($akCatSet)){
      $akCat = AttributeKeyCategory::getByHandle('collection');
      $akCat->setAllowAttributeSets(AttributeKeyCategory::ASET_ALLOW_SINGLE);
      $akCatSet = $akCat->addSet('cariad_set', t('Cariad Set'),$pkg);
    }
	
	$imgAttr = AttributeType::getByHandle('image_file'); 
  	$cariadBannerImage = CollectionAttributeKey::getByHandle('cariad_banner_image'); 
	 if( !is_object($cariadBannerImage) ) {
     CollectionAttributeKey::add($imgAttr, 
        	array('akHandle' => 'cariad_banner_image', 
          'akName' => t('Cariad Banner Image'), 
        ),$pkg)->setAttributeSet($akCatSet); 
		
	 }
	$imgAttr = AttributeType::getByHandle('image_file'); 
  	$cariadImageBg1 = CollectionAttributeKey::getByHandle('cariad_image_bg1'); 
	 if( !is_object($cariadImageBg1) ) {
     CollectionAttributeKey::add($imgAttr, 
        	array('akHandle' => 'cariad_image_bg1', 
          'akName' => t('Cariad Background Image 1'), 
        ),$pkg)->setAttributeSet($akCatSet); 
		
	 }
	 
	$imgAttr = AttributeType::getByHandle('image_file'); 
  	$cariadImageBg2 = CollectionAttributeKey::getByHandle('cariad_image_bg2'); 
	 if( !is_object($cariadImageBg2) ) {
     CollectionAttributeKey::add($imgAttr, 
        	array('akHandle' => 'cariad_image_bg2', 
          'akName' => t('Cariad Background Image 2'), 
        ),$pkg)->setAttributeSet($akCatSet); 
		
	 }
	 
	$imgAttr = AttributeType::getByHandle('image_file'); 
  	$cariadThumb = CollectionAttributeKey::getByHandle('cariad_thumbnail'); 
	 if( !is_object($cariadThumb) ) {
     CollectionAttributeKey::add($imgAttr, 
        	array('akHandle' => 'cariad_thumbnail', 
          'akName' => t('Cariad Thumbnail'), 
        ),$pkg)->setAttributeSet($akCatSet); 
 	
	  }
  }
}