<?php 
namespace Concrete\Package\Cariad\Theme\Cariad;
use Concrete\Core\Page\Theme\Theme;

class PageTheme extends Theme {
    public function registerAssets() {
        $this->requireAsset('javascript', 'jquery');
        $this->providesAsset('css', 'font-awesome');
        $this->providesAsset('javascript', 'bootstrap/*');
        $this->providesAsset('css', 'bootstrap/*');
        $this->providesAsset('javascript', 'backstretch');
        $this->requireAsset('javascript', 'retinajs');
    }
    protected $pThemeGridFrameworkHandle = 'bootstrap3';
    public function getThemeAreaClasses() {
        return array(
            'Banner Content' => array(
                'cariad-banner-padding'
			)
        );
    }
    public function getThemeBlockClasses() {
        return array(
            'image' => array(
                'cariad-fade',
                'center-block',
                'img-full-width',
                'img-cariad-shadow',
                'img-circle',
                'img-circle center-block'
            ) ,
            'horizontal_rule' => array(
                'cariad-hr-bold',
                'cariad-hr-full-width',
                'cariad-hr-full-width-bold',
                'cariad-hr-accent-colour',
                'cariad-hr-accent-colour-bold',
                'cariad-hr-accent-colour-full-width',
                'cariad-hr-accent-colour-full-width-bold'
            ) ,
            '*' => array(
                'block-background-color-1',
                'block-background-color-2'
            )
        );
    }
    public function getThemeDefaultBlockTemplates() {
        return array(
            'autonav' => 'cariad_top_menu',
            'page_title' => 'cariad_underlined'
        );
    }
    public function getThemeEditorClasses() {
        return array(
            array(
                'title' => t('Cariad Button Extra-Large') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad btn-xlg'
            ) ,
            array(
                'title' => t('Cariad Button Large') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad btn-lg'
            ) ,
            array(
                'title' => t('Cariad Button Default') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad btn-default'
            ) ,
            array(
                'title' => t('Cariad Button Small') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad btn-sm'
            ) ,
            array(
                'title' => t('Cariad Button Extra-small') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad btn-xs'
            ) ,
            array(
                'title' => t('Transparent Button Extra-Large') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-transparent btn-xlg'
            ) ,
            array(
                'title' => t('Transparent Button Large') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-transparent btn-lg'
            ) ,
            array(
                'title' => t('Transparent Button Default') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-transparent btn-default'
            ) ,
            array(
                'title' => t('Transparent Button Small') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-transparent btn-sm'
            ) ,
            array(
                'title' => t('Transparent Button Extra-small') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-transparent btn-xs'
            ) ,
            array(
                'title' => t('Light Transparent Button Extra-Large') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-light-transparent btn-xlg'
            ) ,
            array(
                'title' => t('Light Transparent Button Large') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-light-transparent btn-lg'
            ) ,
            array(
                'title' => t('Light Transparent Button Default') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-light-transparent btn-default'
            ) ,
            array(
                'title' => t('Light Transparent Button Small') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-light-transparent btn-sm'
            ) ,
            array(
                'title' => t('Light Transparent Button Extra-small') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-light-transparent btn-xs'
            ) ,
            array(
                'title' => t('Dark Transparent Button Extra-Large') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-dark-transparent btn-xlg'
            ) ,
            array(
                'title' => t('Dark Transparent Button Large') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-dark-transparent btn-lg'
            ) ,
            array(
                'title' => t('Dark Transparent Button Default') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-dark-transparent btn-default'
            ) ,
            array(
                'title' => t('Dark Transparent Button Small') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-dark-transparent btn-sm'
            ) ,
            array(
                'title' => t('Dark Transparent Button Extra-small') ,
                'menuClass' => '',
                'spanClass' => 'btn btn-cariad-dark-transparent btn-xs'
            ) ,
            array(
                'title' => t('Banner caption') ,
                'menuClass' => '',
                'spanClass' => 'cariad-banner-caption'
            ) ,
            array(
                'title' => t('Handwritten Text') ,
                'menuClass' => '',
                'spanClass' => 'cariad-handwritten-font'
            ) ,
            array(
                'title' => t('White Text') ,
                'menuClass' => '',
                'spanClass' => 'cariad-white'
            ) ,
            array(
                'title' => t('Text Shadow') ,
                'menuClass' => '',
                'spanClass' => 'cariad-text-shadow'
            ) ,
            array(
                'title' => t('White Text with Shadow') ,
                'menuClass' => '',
                'spanClass' => 'cariad-white-text-shadow'
            ) ,
            array(
                'title' => t('Background Colour 1') ,
                'menuClass' => '',
                'spanClass' => 'background-color-1'
            ) ,
            array(
                'title' => t('Background Colour 2') ,
                'menuClass' => '',
                'spanClass' => 'background-color-2'
            )
        );
    }
}